Subject: Re: bug#43065: Fix or remove broken flyspell-issue-welcome-flag option

From: Eli Zaretskii <[email-masked]>
Date: Thu, 27 Aug 2020 12:06:23 +0300

> Date: Thu, 27 Aug 2020 11:42:25 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > From: Stefan Kangas <[email-masked]>
> > Date: Wed, 26 Aug 2020 22:24:45 -0700
> > 
> > 1. Fix it.  I have attached a patch here which does that.  The message
> >    is mildly annoying, but could be useful to beginners.  (And it's
> >    easy to disabled using the mentioned variable.)
> > 
> > 2. Fix it, but change the default to nil.  I think this is pointless,
> >    since this would mostly be useful to beginners.
> > 
> > 3. Remove the code and make the option obsolete.
> > 
> > Any opinions or preferences?
> 
> #1, please.

Btw, can we make this only display the welcome message if
flyspell-mode is invoked interactively?  Your patch makes this
unconditional, which I don't think was the original intent.